## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%{?mingw_package_header}

Name: mingw-libsoup3
Version: 3.0.6
Release: %autorelease
Summary: MinGW library for HTTP and XML-RPC functionality
License: LGPLv2

URL: https://wiki.gnome.org/Projects/libsoup
Source0: https://download.gnome.org/sources/libsoup/3.0/libsoup-%{version}.tar.xz

BuildArch:	noarch

BuildRequires: gcc
BuildRequires: meson

BuildRequires: mingw32-filesystem >= 107
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-brotli
BuildRequires: mingw32-libpsl
BuildRequires: mingw32-sqlite
BuildRequires: mingw32-libnghttp2

BuildRequires: mingw64-filesystem >= 107
BuildRequires: mingw64-binutils
BuildRequires: mingw64-glib2
BuildRequires: mingw64-libxml2
BuildRequires: mingw64-brotli
BuildRequires: mingw64-libpsl
BuildRequires: mingw64-sqlite
BuildRequires: mingw64-libnghttp2

# For glib-genmarshal
BuildRequires:	glib2-devel
BuildRequires:	intltool

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it), but the SOAP parts were removed
long ago.

This is the MinGW build of Libsoup

# Win32
%package -n mingw32-libsoup3
Summary:	MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw32-glib-networking

%description -n mingw32-libsoup3
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

# Win64
%package -n mingw64-libsoup3
Summary:        MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw64-glib-networking

%description -n mingw64-libsoup3
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libsoup-%{version}


%build
%mingw_meson \
    -Dgtk_doc=false \
    -Dgssapi=disabled \
    -Dintrospection=disabled \
    -Dtests=false \
    -Dtls_check=false \
    -Dvapi=disabled


%install
%mingw_ninja_install
%mingw_find_lang libsoup-3.0


# Win32
%files -n mingw32-libsoup3 -f mingw32-libsoup-3.0.lang
%license COPYING
%doc README NEWS AUTHORS
%{mingw32_bindir}/libsoup-3.0-0.dll
%{mingw32_includedir}/libsoup-3.0
%{mingw32_libdir}/libsoup-3.0.dll.a
%{mingw32_libdir}/pkgconfig/libsoup-3.0.pc

# Win64
%files -n mingw64-libsoup3 -f mingw64-libsoup-3.0.lang
%license COPYING
%doc README NEWS AUTHORS
%{mingw64_bindir}/libsoup-3.0-0.dll
%{mingw64_includedir}/libsoup-3.0
%{mingw64_libdir}/libsoup-3.0.dll.a
%{mingw64_libdir}/pkgconfig/libsoup-3.0.pc


%changelog
* Wed Jun 29 2022 Marc-André Lureau <marcandre.lureau@redhat.com> 3.0.6-2
- Uncommitted changes

* Wed Jun 29 2022 Marc-André Lureau <marcandre.lureau@redhat.com> 3.0.6-1
- initial import
